%define api		    1
%define major		0
%define libname		%mklibname %{name} %{api} %{major}
%define gtk3libname	%mklibname %{name}-gtk3_ %{api} %{major}
%define develname	%mklibname %{name} -d

%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	Xfce's freedesktop.org compliant menu library
Name:		garcon
Version:	4.18.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/XFCE
Url:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/garcon/%{url_ver}/%{name}-%{version}.tar.xz
Source1:    xfce-applications.menu
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:  lib64glib2.0-devel
BuildRequires:  lib64gtk+3.0-devel
BuildRequires:  lib64xfce4ui2-devel
BuildRequires:	lib64xfce4util-devel
Obsoletes: %{name}-doc

%description
Garcon is an implementation of the freedesktop.org menu specification
replacing the former Xfce menu library libxfce4menu. It is based on
GLib/GIO only and aims at covering the entire specification except for
legacy menus.

%package -n %{libname}
Summary:	Xfce's freedesktop.org menu implementation
Group:		Graphical desktop/XFCE
Obsoletes:  lib64garcon0
Requires:	%{name}

%description -n %{libname}
Garcon is an implementation of the freedesktop.org menu specification
replacing the former Xfce menu library libxfce4menu. It is based on
GLib/GIO only and aims at covering the entire specification except for
legacy menus.

%package -n %{gtk3libname}
Summary:        Common GTK3 library for Xfce's freedesktop.org menu implementation
Group:          Graphical desktop/XFCE
Requires:	   %{name}

%description -n %{gtk3libname}
Garcon is an implementation of the freedesktop.org menu specification
replacing the former Xfce menu library libxfce4menu. It is based on
GLib/GIO only and aims at covering the entire specification except for
legacy menus.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Graphical desktop/XFCE
Requires:	%{libname} = %{version}-%{release}
Requires:	%{gtk3libname} = %{version}-%{release}
Obsoletes:  lib64garcon-gtk2-devel
Obsoletes:  %{name}-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{name}

%description -n %{develname}
Development files and headers for %{name}.


%prep
%setup -q
%autopatch -p1

%build
%xdt_autogen
%configure2_5x --disable-static --enable-gtk-doc=no
%make_build

%install
rm -rf %buildroot
%make_install

install -m 0644 %SOURCE1 %buildroot/%{_sysconfdir}/xdg/menus/xfce-applications.menu

# don't ship .la
find %{buildroot} -name "*.la" -delete

#Leave out as configure ignores it
rm -rf %buildroot/%{_datadir}/gtk-doc

%files
%{_datadir}/desktop-directories
%{_datadir}/locale
%{_datadir}/icons/
%{_sysconfdir}


%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/Garcon-1.0.typelib
%{_libdir}/girepository-1.0/GarconGtk-1.0.typelib

%files -n %{gtk3libname}
%{_libdir}/lib%{name}-gtk3-%{api}.so.%{major}*

%files -n %{develname}
%{_includedir}/%{name}*/
%{_libdir}/lib%{name}*-%{api}.so
%{_libdir}/pkgconfig/%{name}*-%{api}.pc
%{_datadir}/gir-1.0/Garcon-1.0.gir
%{_datadir}/gir-1.0/GarconGtk-1.0.gir


%changelog
* Wed Feb 07 2024 tex - 4.18.2-1pclos2024
- new version

* Wed Mar 29 2023 tex - 4.18.1-1pclos2023
- new version

* Thu Dec 15 2022 tex - 4.18.0-1pclos2022
- new version

* Mon Dec 12 2022 tex - 4.17.3-1pclos2022
- prepare for 4.18 final
